Name:             irsim
Version:          9.7.68
Release:          3%{?dist}
Summary:          Switch-level simulator used even for VLSI

License:          GPLv2
Group:            Applications/Engineering
URL:              http://opencircuitdesign.com/%{name}

Source0:          http://opencircuitdesign.com/%{name}/archive/%{name}-%{version}.tgz
Source1:          README.fedora
Source2:          screenshot1.png
Source3:          screenshot2.png

BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    tk-devel m4 libXt-devel

%description
IRSIM is a tool for simulating digital circuits. It is a "switch-level"
simulator; that is, it treats transistors as ideal switches. Extracted
capacitance and lumped resistance values are used to make the switch a little
bit more realistic than the ideal, using the RC time constants to predict the
relative timing of events.

%prep
# tarball includes unneeded symlink, so we firstly
# create a directory and expand tarball there.
%setup -q -T -c %{name}-%{version} -a 0

cd %{name}-%{version}
%{__sed} -i.cflags -e 's|CFLAGS=.*CFLAGS|:|' configure

%{__sed} -i 's|magic-hackers@csl.cornell.edu|http://bugzilla.redhat.com|' scripts/configure

%build
cd %{name}-%{version}
%configure

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}

cd %{name}-%{version}
%{__make} install \
    DESTDIR=%{buildroot} \
    INSTALL="%{__install} -c -p" \
    CP="%{__cp} -p"

%{__cp} -p doc/faultsim/fsim.ps ..

%{__mv} %{buildroot}%{_libdir}/%{name}/doc/powerEst.doc ..

# remove duplicates
%{__rm} -rf %{buildroot}%{_libdir}/%{name}/doc/

# applying timestamps
%{__cp} -p README VERSION COPYRIGHT ..
%{__cp} -p %{SOURCE1} %{SOURCE2} %{SOURCE3} ..

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYRIGHT README VERSION powerEst.doc fsim.ps README.fedora screenshot*
%{_bindir}/*
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}*
%{_mandir}/man5/netchange.5.gz
%{_mandir}/man3/%{name}-analyzer.3.gz


%Changelog
* Fri Aug 15 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 9.7.68-1
- new upstream release 9.7.68

* Thu Aug 23 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 9.7.50-1
- mass rebuild for fedora 8 - BuildID
- New upstream release

* Tue Apr 24 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 9.7.47-1
- new upstream release 9.7.47

* Wed Feb 22 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 9.7.45-1
- new upstream release 9.7.45

* Mon Feb 05 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 9.7.41-5
- fixed for other binaries - genspktbl, gentbl

* Mon Feb 05 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 9.7.41-4
- dropped patch0 which was used to test analyzer's status
- added README.fedora and screenshots to explain the white-on-white output on analyser

* Mon Feb 05 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 9.7.41-3.1
- Rewrite

* Fri Feb 02 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 9.7.41-3
- Rebuild

* Thu Feb 01 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 9.7.41-2.1
- Once create a directory and expand the source there
  so that all files expanded are removed correctly
- Another way to treat CFLAGS
- Keep timestamps

* Thu Feb 01 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 9.7.41-2
- fix for CFLAGS

* Wed Jan 31 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 9.7.41-1
- Initial package.
